Subject: Re: Output redirection, file creation, and libjpeg.a
From: [email-masked] (Larry Hall)

13 Oct 1997 12:27:32 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "Earnie Boyd" <[email-masked]>, [email-masked]
Cc: [email-masked]

Actually, regardless of how the file systems are mounted, if you are using
the bash that came with the original b18, stdin, stdout, stderr, and pipes
will be opened in text mode.  The later version of bash (2.0.1) compiled by
Sergey does NOT set all these to text mode and therefore you won't get 
carriage returns appended.  I am uncertain whether mounting file systems as
binary using the original version of bash would remove the carriage returns
from stdin, stdout, and stderr (probably not) but the problem would persist
for pipes.  See Sergey's patches for the new bash (and patched cygwin DLL) - 
http://www.lexa.ru/sos.

Larry

At 04:54 AM 10/13/97 PDT, Earnie Boyd wrote:
>
>How is your filesystems mounted?  If they are mounted text!=binary then 
>you will have a \r (^M) prepended to any \n.  If they are mounted 
>text=binary, then someone else will have to give you an answer.
>
>To mount / as text=binary:
>1) cd to the bin directory
>2) umount /
>3) mount -b c:\\ /
>
>-        \\||//
>---o0O0--Earnie--0O0o----
>[email-masked]
>------ooo0O--O0ooo-------
>
>>Date: Sun, 12 Oct 1997 17:20:07 GMT
>>To: [email-masked]
>>From: Victor Schneider <[email-masked]>
>>Subject: Output redirection, file creation, and libjpeg.a
>>
>>There's a curious problem with porting the jpeg-6 and jpeg-6a libraries 
>to
>>cygwin32:  They compile with no problem, and running `make test' 
>confirms
>>that they work, but the `cjpeg' and `djpeg' utilities appear to have
>>problems (a) creating files and (b) using the input and output 
>redirection
>>operators (`<' and `>').
>>
>>When you generate a .gif file from a .jpg file using djpeg, you get
>>`spurious symbol' error messages from lview31.exe on the resulting .gif
>>file.  I think that results from some problem using `>' to generate the
>>resulting .gif file.  I get the impression that cygwin32 uses the Dos 
>'>'
>>operator and gets junk added in to the redirection process.  Either 
>that, or
>>bash.exe is doing something.
>>
>>Using the `-outputfile' option in djpeg yields an output file of zero
>>length.  Since this all works under other operating systems like Linux, 
>I
>>have to assume that the problem is somewhere in the buck-passing 
>between
>>native Dos and cygwin32.
>>
>>-
>>For help on using this list (especially unsubscribing), send a message 
>to
>>"[email-masked]" with one line of text: "help".
>>
>
>
>
>
>______________________________________________________
>Get Your Private, Free Email at http://www.hotmail.com
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".